/**
 * Copyright (c) 2013-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.registry_overlay.core.exception;

/**
 * The member identifier is defined more than once in the Petals Registry Overlay cluster definition.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class SeveralMemberIdException extends ConfigurationException {

    private static final long serialVersionUID = -863394667631721417L;

    /**
     * The identifier defined more than once in the Petals Registry Overlay cluster
     */
    private final String memberId;

    public SeveralMemberIdException(final String memberId) {
        super("The member [" + memberId + "] is is defined more than once in the Petals Registry Overlay cluster !!");
        this.memberId = memberId;
    }

    /**
     * @return The identifier defined more than once in the Petals Registry Overlay cluster
     */
    public String getMemberId() {
        return this.memberId;
    }

}
