/**
 * Copyright (c) 2014-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.registry_overlay.core.mbean;

import org.ow2.petals.registry_overlay.core.RegistryOverlayNode;
import org.ow2.petals.registry_overlay.core.StopRegistryThread;

public class Admin implements AdminMBean {

    private final RegistryOverlayNode node;

    /**
     * Thread used to stop Petals Registry Overlay node in an isolate thread
     */
    private final StopRegistryThread stopThread;

    public Admin(final RegistryOverlayNode node) {
        this.node = node;
        this.stopThread = new StopRegistryThread(this.node);
    }

    @Override
    public void stop() {

        // launch the stop of the Petals Registry Overlay member in a different thread
        this.stopThread.start();
    }

}
